> ## Documentation Index
> Fetch the complete documentation index at: https://developers.partoo.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Complete Google Location Verification Process

> This endpoint completes the Google location verification process identified by `google_location_id`. It requires  authentication and authorization with at least the role of `BUSINESS_MANAGER`.

If the verification process is not in the `PENDING` status, or if the PIN code is invalid, an error response will be returned. If the completion is successful, the verification status of the location will be updated.




## OpenAPI

````yaml /assets/openapi/openapi-bundled.yaml post /verifications/google-locations/{google_location_id}/complete
openapi: 3.1.0
info:
  title: Partoo Rest API
  version: v2
  license:
    name: © Copyright Partoo
    url: https://www.partoo.co/en/gtu-api/
  x-logo:
    url: >-
      https://partoo-client-images.s3.amazonaws.com/logo-partoo-restapi-white.png
  description: >
    ## Introduction

    The Partoo Rest API allows you to automate all the actions that are possible
    to do in the Partoo Web Application.


    The Partoo Rest API can be used for many different purposes:
      - Create/update/delete your businesses & users if you are a client.
      - Create/subscribe/manage organizations, businesses & users if you are a reseller.
      - Retrieve data on businesses you have access to if you are a publisher.
      - ...
servers:
  - url: https://api.partoo.co/v2
    description: Production server
  - url: https://api.sandbox.partoo.co/v2
    description: Sandbox server (dev environment for clients & partners)
security:
  - ApiKeyAuth: []
paths:
  /verifications/google-locations/{google_location_id}/complete:
    post:
      tags:
        - Google
      summary: Complete Google Location Verification Process
      description: >
        This endpoint completes the Google location verification process
        identified by `google_location_id`. It requires  authentication and
        authorization with at least the role of `BUSINESS_MANAGER`.


        If the verification process is not in the `PENDING` status, or if the
        PIN code is invalid, an error response will be returned. If the
        completion is successful, the verification status of the location will
        be updated.
      operationId: completeGoogleLocationVerification
      parameters:
        - $ref: '#/components/parameters/google_location_id'
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                method:
                  type: string
                  enum:
                    - PHONE_CALL
                    - SMS
                    - EMAIL
                    - ADDRESS
                pin_code:
                  type: string
                  description: >-
                    The PIN code provided by the user during the verification
                    process.
                  example: '1234'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                    description: The status of the response `success` or `error`.
                    example: success
                  message:
                    type: string
                    example: null
                    description: |
                      Details of the message. Can be one of the following:
                        - `complete_success`: The verification process has been completed successfully (returned with a `success` status).
                        - `complete_in_review`: The verification process has been completed successfully but the verification is still in review (returned with a `success` status).
                        - `complete_only_pending`: The verification process can be completed only on a `PENDING` verification (returned with a `error` status).
                        - `complete_invalid_pin`: The PIN code provided is invalid (returned with a `error` status).
                        - `complete_error`: An error occurred during the completion of the verification process (returned with a `error` status).
                    enum:
                      - complete_success
                      - complete_in_review
                      - complete_only_pending
                      - complete_invalid_pin
                      - complete_error
        '400':
          $ref: '#/components/responses/400'
        '401':
          $ref: '#/components/responses/401'
        '403':
          $ref: '#/components/responses/403'
        '404':
          $ref: '#/components/responses/404'
components:
  parameters:
    google_location_id:
      in: path
      name: google_location_id
      required: true
      schema:
        type: string
      description: Google location unique id on Partoo
  responses:
    '400':
      description: Your request is incorrect
      content:
        application/json:
          schema:
            description: |
              Error that occcurs when your request is incorrect
            properties:
              errors:
                type: object
                description: The detail of the error encountered
                properties:
                  json:
                    type: object
    '401':
      description: You are not authenticated
      content:
        application/json:
          schema:
            description: Error that occurs when you are not authenticated
            type: object
            properties:
              errors:
                type: object
                description: The detail of the error encountered
                properties:
                  authentication:
                    type: string
                    default: User not authenticated
    '403':
      description: |
        You are not allowed to perform this action
      content:
        application/json:
          schema:
            description: >
              Error that occurs when you are authenticated but you are trying to
              perform an action you are not allowed to perform
            type: object
            properties:
              errors:
                type: object
                description: The detail of the error encountered
                properties:
                  authorization:
                    type: string
                    default: Operation not allowed
    '404':
      description: Resource does not exist
      content:
        application/json:
          schema:
            description: >-
              Error that occcurs when you are trying to reach a resource that
              does not exist
            type: object
            properties:
              errors:
                type: object
                description: The detail of the error encountered
                properties:
                  json:
                    type: string
                    default: Resource not found
  securitySchemes:
    ApiKeyAuth:
      description: >
        The authentication system on Partoo API is using API Key that should be
        put in the header of the request (the name of the header is `x-APIKey`).
        An api_key is linked to a user. This user's role will give you different
        access level to the API features.
      type: apiKey
      in: header
      name: x-APIKey

````